Wallet

Update a monitored wallet address

Update metadata for a registered non-custodial address. Only **label** and **derivationPath** can be updated; address and chain are immutable.

AuthBearer (JWT)
GroupWallet
Rate limitSee Rate Limits
PUT/api/wallet/non-custodial/addresses/{addressId}

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, WalletApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const wallet = new WalletApi(configuration);
import { Configuration, WalletApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const wallet = new WalletApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await wallet.updateNonCustodialAddress(
  "30366 Zulauf Circle",
  {
    label: "sensor generate",
    derivationPath: "pixel hack"
  }
);
const { data: result } = await wallet.updateNonCustodialAddress(
  "30366 Zulauf Circle",
  {
    label: "sensor generate",
    derivationPath: "pixel hack"
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
addressIdstringYes

Request Body

json
{
  "label": "alarm synthesize",
  "derivationPath": "matrix synthesize"
}
{
  "label": "alarm synthesize",
  "derivationPath": "matrix synthesize"
}

Responses

200Address updated successfully
json
{
  "success": true,
  "message": "Address updated successfully",
  "data": {
    "_id": "65a1b2c3d4e5f6789012345a",
    "address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
    "chain": "ethereum",
    "label": "Main cold wallet",
    "derivationPath": "m/44'/60'/0'/0/1",
    "isActive": true
  }
}
{
  "success": true,
  "message": "Address updated successfully",
  "data": {
    "_id": "65a1b2c3d4e5f6789012345a",
    "address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
    "chain": "ethereum",
    "label": "Main cold wallet",
    "derivationPath": "m/44'/60'/0'/0/1",
    "isActive": true
  }
}
400Validation error (e.g. label too long, invalid derivation path)
json
{
  "success": true,
  "error": "program back up"
}
{
  "success": true,
  "error": "program back up"
}
401
404
429

Errors

CodeMeaning
400Validation error (e.g. label too long, invalid derivation path)
401
404
429
Edit this page on GitHub